/*
 * Copyright (C) 2016 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.android.tools.idea.gradle.dsl.model.android.externalNativeBuild;

import com.android.tools.idea.gradle.dsl.api.android.externalNativeBuild.NdkBuildModel;
import com.android.tools.idea.gradle.dsl.parser.android.externalNativeBuild.NdkBuildDslElement;
import org.jetbrains.annotations.NotNull;

import java.io.File;

public class NdkBuildModelImpl extends AbstractBuildModelImpl implements NdkBuildModel {
  public NdkBuildModelImpl(@NotNull NdkBuildDslElement dslElement) {
    super(dslElement);
  }

  @Override
  @NotNull
  public NdkBuildModel setPath(@NotNull File path) {
    return (NdkBuildModelImpl)super.setPath(path);
  }

  @Override
  @NotNull
  public NdkBuildModel removePath() {
    return (NdkBuildModelImpl)super.removePath();
  }
}
