/*
 * Copyright (C) 2017 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.android.tools.idea.sampledata.datasource;

import com.google.common.base.Charsets;

import java.io.IOException;
import java.io.OutputStream;
import java.util.function.Function;

public class HardcodedContent implements Function<OutputStream, Exception> {
  final String myContent;

  public HardcodedContent(String content) {
    myContent = content;
  }

  @Override
  public Exception apply(OutputStream stream) {
    try {
      stream.write(myContent.getBytes(Charsets.UTF_8));
    }
    catch (IOException e) {
      return e;
    }

    return null;
  }
}
