/*
 * Copyright 2000-2016 JetBrains s.r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*
 * Interface Evaluator
 * @author Jeka
 */
package com.intellij.debugger.engine.evaluation.expression;

import com.intellij.debugger.engine.evaluation.EvaluationContextImpl;
import com.intellij.debugger.engine.evaluation.EvaluateException;

public interface Evaluator {
  /**
   * @throws EvaluateException
   */
  Object evaluate(EvaluationContextImpl context) throws EvaluateException;

  /**
   * In order to obtain a modifier the expression must be evaluated first
   * @return a modifier object allowing to set a value in case the expression is lvalue,
   *         otherwise null is returned
   */
  default Modifier getModifier() {
    return null;
  }
}