/*
 * Copyright 2000-2016 JetBrains s.r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.intellij.execution.filters;

import com.intellij.openapi.project.DumbAware;
import com.intellij.openapi.project.Project;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import java.util.List;

public class PatternBasedFileHyperlinkFilter extends AbstractFileHyperlinkFilter implements DumbAware {

  private final PatternBasedFileHyperlinkRawDataFinder myFinder;

  public PatternBasedFileHyperlinkFilter(@NotNull Project project,
                                         @Nullable String baseDir,
                                         @NotNull PatternBasedFileHyperlinkRawDataFinder finder) {
    super(project, baseDir);
    myFinder = finder;
  }

  @NotNull
  @Override
  public List<FileHyperlinkRawData> parse(@NotNull String line) {
    return myFinder.find(line);
  }
}
