/*
 * Copyright 2000-2013 JetBrains s.r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.intellij.execution.filters;

import com.intellij.execution.ui.ConsoleView;
import org.jetbrains.annotations.NotNull;

import java.util.List;

/**
 * @author dyoma
 */
public abstract class TextConsoleBuilder {
  public abstract ConsoleView getConsole();

  public abstract void addFilter(@NotNull Filter filter);

  public abstract void setViewer(boolean isViewer);

  public TextConsoleBuilder filters(Filter... filters) {
    for (Filter filter : filters) {
      addFilter(filter);
    }
    return this;
  }

  public TextConsoleBuilder filters(@NotNull List<Filter> filters) {
    for (Filter filter : filters) {
      addFilter(filter);
    }
    return this;
  }
}