/*
 * Copyright 2000-2009 JetBrains s.r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.intellij.uiDesigner;

import org.jetbrains.annotations.NonNls;

/**
 * @author yole
 */
public class SwingProperties {
  @NonNls public static final String TEXT = "text";
  @NonNls public static final String LABEL_FOR = "labelFor";
  @NonNls public static final String SELECTED_INDEX = "selectedIndex";
  @NonNls public static final String SELECTED_COMPONENT = "selectedComponent";
  @NonNls public static final String MODEL = "model";
  @NonNls public static final String LABEL = "label";
  @NonNls public static final String ACTION_COMMAND = "actionCommand";
  @NonNls public static final String PREFERRED_SIZE = "preferredSize";
  @NonNls public static final String MINIMUM_SIZE = "minimumSize";
  @NonNls public static final String MAXIMUM_SIZE = "maximumSize";
  @NonNls public static final String VISIBLE = "visible";

  private SwingProperties() {
  }
}
