/*
 * Copyright 2000-2016 JetBrains s.r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.intellij.vcs.log.ui.actions;

import com.intellij.vcs.log.ui.VcsLogUiImpl;
import org.jetbrains.annotations.NotNull;

public class CollapseGraphAction extends CollapseOrExpandGraphAction {
  @NotNull private static final String COLLAPSE = "Collapse";

  public CollapseGraphAction() {
    super(COLLAPSE);
  }

  @Override
  protected void executeAction(@NotNull VcsLogUiImpl vcsLogUi) {
    vcsLogUi.collapseAll();
  }

  @NotNull
  @Override
  protected String getPrefix() {
    return COLLAPSE + " ";
  }
}
