package icons;

import com.intellij.openapi.util.IconLoader;

import javax.swing.Icon;

/**
 * Note: This file should be auto generated once build/scripts/icons.gant is part of CE.
 * https://youtrack.jetbrains.com/issue/IDEA-103558
 */
public class AndroidIcons {
  private static Icon load(String path) {
    return IconLoader.getIcon(path, AndroidIcons.class);
  }

  public static final Icon Android = load("/icons/android.svg"); // 16x16
  public static final Icon Android24 = load("/icons/android24.png"); // 24x24
  public static final Icon AndroidLarge = load("/icons/androidLarge.png"); // 64x64
  public static final Icon AndroidPreview = load("/icons/androidPreview.png"); // 13x13
  public static final Icon AndroidToolWindow = load("/icons/androidToolWindow.svg"); // 13x13
  public static final Icon AndroidModule = load("/icons/androidModule.png"); // 16x16

  public static final Icon AvdManager = load("/icons/avd_manager.png"); // 16x16
  public static final Icon SdkManager = load("/icons/sdk_manager.png"); // 16x16

  public static final Icon ZoomActual = load("/icons/zoomActual.png"); // 16x16
  public static final Icon ZoomFit = load("/icons/zoomFit.png"); // 16x16
  public static final Icon ZoomIn = load("/icons/zoomIn.png"); // 16x16
  public static final Icon ZoomOut = load("/icons/zoomOut.png"); // 16x16
  public static final Icon ZoomReal = load("/icons/zoomReal.png"); // 16x16
  public static final Icon Renderscript = load("/icons/render-script.png"); // 16x16
  public static final Icon ArrowDown = load("/icons/comboArrow.png"); // 16x16
  public static final Icon GreyArrowDown = load("/icons/dropArrow.png"); // 20x20
  public static final Icon NotMatch = load("/icons/notMatch.png");

  public static final Icon AndroidFile = load("/icons/android_file.png"); // 16x16
  public static final Icon ManifestFile = load("/icons/manifest_file.png");
  public static final Icon FontFile = load("/icons/font-file.png");
  public static final Icon Configuration = load("/icons/configuration.png"); // 16x16
  public static final Icon Activity = load("/icons/activity.png"); // 16x16
  public static final Icon Targets = load("/icons/targets.png"); // 16x16
  public static final Icon Globe = load("/icons/globe.png"); // 16x16
  public static final Icon Square = load("/icons/square.png"); // 16x16
  public static final Icon Landscape = load("/icons/landscape.png"); // 16x16
  public static final Icon Portrait = load("/icons/portrait.png"); // 16x16
  public static final Icon FlipLandscape = load("/icons/flip_landscape.png"); // 16x16
  public static final Icon FlipPortrait = load("/icons/flip_portrait.png"); // 16x16
  public static final Icon Display = load("/icons/display.png"); // 16x16
  public static final Icon Themes = load("/icons/themes.png"); // 16x16
  public static final Icon ThemesPreview = load("/icons/themesPreview.png"); // 13x13
  public static final Icon Sunburst = load("/icons/sunburst.png"); // 16x16
  public static final Icon PlayStore = load("/icons/play_store.png");

  public static final Icon EmptyFlag = load("/icons/flags/flag_empty.png"); // 16x16

  public static final Icon GradleSync = load("/icons/gradlesync.png"); // 16x16
  public static final Icon GradleConsole = load("/icons/gradle_console.png"); // 16x16
  public static final Icon GradleConsoleToolWindow = load("/icons/gradle_console_tool_window.png"); // 13x13
  public static final Icon MavenLogo = load("/icons/maven.png"); // 16x16

  public static final Icon CapturesToolWindow = load("/icons/captures.png"); // 13x13
  public static final Icon MemoryMonitor = load("/icons/memory_monitor.png"); // 16x16
  public static final Icon CpuMonitor = load("/icons/cpu_monitor.png"); // 16x16
  public static final Icon GpuMonitor = load("/icons/gpu_monitor.png"); // 16x16
  public static final Icon NetworkMonitor = load("/icons/network_monitor.png"); // 16x16

  public static final Icon Variant = load("/icons/variant.png");

  public static final Icon AppModule = load("/icons/appModule.png");
  public static final Icon LibraryModule = load("/icons/libraryModule.png");
  public static final Icon AndroidTestRoot = load("/icons/androidTestRoot.png");
  public static final Icon AndroidTestsScope = load("/icons/androidTestsScope.svg");

  public static final Icon GreyQuestionMark = load("/icons/grey_question.png"); // 23x23

  public static class ProjectStructure {
    public static final Icon UnknownLibrary = load("/icons/psd/unknownLibrary.png");
    public static final Icon LibraryWarning = load("/icons/psd/libraryWarning.png");
  }

  // Form factors
  public static class FormFactors {
    public static final Icon Wear_16 = load("/icons/wear.png");                          // 16x16
    public static final Icon Car_16 = load("/icons/car.png");                            // 16x16
    public static final Icon Glass_16 = load("/icons/glass.png");                        // 16x16
    public static final Icon Mobile_16 = load("/icons/mobile.png");                      // 16x16
    public static final Icon Tv_16 = load("/icons/tv.png");                              // 16x16
    public static final Icon Things_16 = load("/icons/things.png");                      // 16x16

    public static final Icon Wear_32 = load("/icons/formfactors/wear_32.png");           // 32x32
    public static final Icon Car_32 = load("/icons/formfactors/car_32.png");             // 32x32
    public static final Icon Glass_32 = load("/icons/formfactors/glass_32.png");         // 32x32
    public static final Icon Mobile_32 = load("/icons/formfactors/phone_tablet_32.png"); // 32x32
    public static final Icon Tv_32 = load("/icons/formfactors/tv_32.png");               // 32x32
    public static final Icon Things_32 = load("/icons/formfactors/things_32.png");       // 32x32

    public static final Icon Wear_64 = load("/icons/formfactors/64/wear.png");           // 64x64
    public static final Icon Car_64 = load("/icons/formfactors/64/car.png");             // 64x64
    public static final Icon Glass_64 = load("/icons/formfactors/64/glass.png");         // 64x64
    public static final Icon Mobile_64 = load("/icons/formfactors/64/phone_tablet.png"); // 64x64
    public static final Icon Tv_64 = load("/icons/formfactors/64/tv.png");               // 64x64
    public static final Icon Things_64 = load("/icons/formfactors/64/things.png");       // 64x64

    public static final Icon Wear_128 = load("/icons/formfactors/128/wear.png");         // 128x128
    public static final Icon Car_128 = load("/icons/formfactors/128/car.png");           // 128x128
    public static final Icon Glass_128 = load("/icons/formfactors/128/glass.png");       // 128x128
    public static final Icon Mobile_128 = load("/icons/formfactors/128/mobile.png");     // 128x128
    public static final Icon Tv_128 = load("/icons/formfactors/128/tv.png");             // 128x128
    public static final Icon Things_128 = load("/icons/formfactors/128/things.png");     // 128x128
  }

  public static class Configs {
    public static final Icon Dock = load("/icons/dockmode.png");
    public static final Icon Night = load("/icons/nightmode.png");
    public static final Icon Dimension = load("/icons/dimension.png");
    public static final Icon Dpi = load("/icons/dpi.png");
    public static final Icon Height = load("/icons/height.png");
    public static final Icon Keyboard = load("/icons/keyboard.png");
    public static final Icon Locale = load("/icons/locale.png");
    public static final Icon Mcc = load("/icons/mcc.png");
    public static final Icon Mnc = load("/icons/mnc.png");
    public static final Icon Navpad = load("/icons/navpad.png");
    public static final Icon NavpadMethod = load("/icons/navpad_method.png");
    public static final Icon Orientation = load("/icons/orientation.png");
    public static final Icon Ratio = load("/icons/ratio.png");
    public static final Icon Size = load("/icons/size.png");
    public static final Icon SmallestWidth = load("/icons/swidth.png");
    public static final Icon TextInput = load("/icons/text_input.png");
    public static final Icon Touch = load("/icons/touch.png");
    public static final Icon Width = load("/icons/width.png");
    public static final Icon LayoutDirection = load("/icons/direction.png");

    // We might be able to remove these, but perhaps they're useful if we have individual
    // buttons (for example in the translation editor) where you can independently add language
    // or region?
    public static final Icon Language = load("/icons/language.png");
    public static final Icon Region = load("/icons/region.png");
  }

  public static class Ddms {
    public static final Icon AllocationTracker = load("/icons/ddms/allocation_tracker.png"); // 16x16
    public static final Icon AttachDebugger = load("/icons/ddms/attachDebugger.png"); // 16x16
    public static final Icon Gc = load("/icons/ddms/cause_garbage_collection.png"); // 16x16
    public static final Icon DumpHprof = load("/icons/ddms/dump_hprof_file.png"); // 16x16
    public static final Icon Emulator = load("/icons/ddms/emulator.png"); // 16x16
    public static final Icon Emulator2 = load("/icons/ddms/emulator_02.png"); // 16x16
    public static final Icon FileExplorer = load("/icons/ddms/file_explorer.png"); // 16x16
    public static final Icon Heap = load("/icons/ddms/heap.png"); // 16x16
    public static final Icon HeapInfo = load("/icons/ddms/heap_info.png"); // 16x16
    public static final Icon Logcat = load("/icons/ddms/logcat.png"); // 16x16
    /**
     * The {@link #LogcatAutoFilterSelectedPid} icon is a copy of the AllIcons.Diff.diff icon to be replaced if we get a better icon.
     */
    public static final Icon LogcatAutoFilterSelectedPid = load("/icons/ddms/logcat_filter_pid.png"); // 16x16
    public static final Icon RealDevice = load("/icons/ddms/real_device.png"); // 16x16
    public static final Icon EmulatorDevice = load("/icons/ddms/emulator_device.png"); // 16x16
    public static final Icon ScreenCapture = load("/icons/ddms/screen_capture.png"); // 16x16
    public static final Icon StartMethodProfiling = load("/icons/ddms/start_method_profiling.png"); // 16x16
    public static final Icon Threads = load("/icons/ddms/threads.png"); // 16x16
    public static final Icon SysInfo = load("/icons/ddms/sysinfo.png"); // 16x16 - this is a copy of AllIcons.Actions.Preview
    public static final Icon ScreenRecorder = load("/icons/ddms/screen_recorder.png"); // 16x16
  }

  public static class Wizards {
    public static final Icon StudioProductIcon = load("/icons/wizards/studio_product.png"); // 60x60
    public static final Icon NewModuleSidePanel = load("/icons/wizards/newModule.png"); // 143x627
    public static final Icon NewProjectSidePanel = load("/icons/wizards/newProject.png"); // 143x627
    public static final Icon DefaultTemplate = load("/icons/wizards/defaultTemplate.png"); //512x512
    public static final Icon DefaultTemplate256 = load("/icons/wizards/defaultTemplate256.png"); // 256x256
    public static final Icon GithubIcon = load("/icons/wizards/github_icon.png"); // 256x256
    /**
     * @deprecated Name is bad - this icon is used outside of project creation. Migrate to StudioProductIcon.
     * TODO: Post wizard migration: delete constant and welcome_green.png
     */
    public static final Icon NewProjectMascotGreen = load("/icons/wizards/welcome_green.png"); // 60x60
    public static final Icon CppConfiguration = load("/icons/wizards/cpp_configure.png"); // 256x256
  }

  public static class NeleIcons {
    // All 16x16 and 32x32 in Retina mode
    public static final Icon Phone = load("/icons/nele/phone.png");
    public static final Icon Tablet = load("/icons/nele/tablet.png");
    public static final Icon Wear = load("/icons/nele/wear.png");
    public static final Icon Tv = load("/icons/nele/tv.png");
    public static final Icon DeviceScreen = load("/icons/nele/DeviceScreen.png");

    public static final Icon ExpandToFit = load("/icons/nele/expand-to-fit.png");
    public static final Icon VirtualDevice = load("/icons/nele/virtualdevice.png"); // 16x16

    public static final Icon DesignProperty = load("/icons/nele/design-property.png");  // 12x12
    public static final Icon DesignPropertyEnabled = load("/icons/nele/design-property-enabled.png");  // 12x12
  }

  public static final class MenuIcons {
    public static final Icon item = load("/icons/nele/item.png");
    public static final Icon menu = load("/icons/nele/menu.png");
    public static final Icon group = load("/icons/nele/group.png");
  }

  public static class RunIcons {
    public static final Icon Debug = load("/icons/run/debug.png");
    public static final Icon DebugReattach = load("/icons/run/debug2.png");

    public static final Icon Play = load("/icons/run/play.png");
    public static final Icon Replay = load("/icons/run/play2.png"); // TODO: update blaze and remove this
    public static final Icon Restart = load("/icons/run/restart.png");
    public static final Icon HotReload = load("/icons/run/hot-reload.png");
  }

  public static class SherpaIcons {
    public static final Icon AddConnection = load("/icons/sherpa/add-connection.png");
    public static final Icon ArrowDown = load("/icons/sherpa/arrow_down.png");
    public static final Icon ArrowLeft = load("/icons/sherpa/arrow_left.png");
    public static final Icon ArrowRight = load("/icons/sherpa/arrow_right.png");
    public static final Icon ArrowUp = load("/icons/sherpa/arrow_up.png");
    public static final Icon BaselineAlignB = load("/icons/sherpa/baseline-aligned.png");
    public static final Icon BottomAlignB = load("/icons/sherpa/bottom-aligned.png");
    public static final Icon CenterAlignedB = load("/icons/sherpa/center-aligned.png");
    public static final Icon ChainStyle = load("/icons/sherpa/chain_style.png");
    public static final Icon DeleteConstraintB = load("/icons/sherpa/delete-constraints_b.png");
    public static final Icon BarrierVertical = load("/icons/sherpa/barrier_vertical.png");
    public static final Icon BarrierHorizontal = load("/icons/sherpa/barrier_horizontal.png");
    public static final Icon Layer = load("/icons/sherpa/switch_blueprint_off.png");

    public static final Icon HorizontalCenterB = load("/icons/sherpa/center-constraint-horizontally.png");
    public static final Icon HorizontalCenterParentB = load("/icons/sherpa/center-horizontally-in-parent.png");
    public static final Icon HorizontalDistributeB = load("/icons/sherpa/distribute-horizontally.png");
    public static final Icon HorizontalDistribute = load("/icons/sherpa/distribute-horizontally_b.png");
    public static final Icon LeftAlignedB = load("/icons/sherpa/left_aligned.png");
    public static final Icon LockConstraints = load("/icons/sherpa/ic_lock_black.png");
    public static final Icon MiddleAlignB = load("/icons/sherpa/horizontal-alignment.png");
    public static final Icon Percent = load("/icons/sherpa/percent.png");
    public static final Icon RightAlignedB = load("/icons/sherpa/right-aligned.png");
    public static final Icon TopAlignB = load("/icons/sherpa/top-aligned.png");
    public static final Icon UnlockConstraints = load("/icons/sherpa/ic_lock_open_black.png");
    public static final Icon VerticalCenterB = load("/icons/sherpa/center-constraints-vertically.png");
    public static final Icon VerticalCenterParentB = load("/icons/sherpa/center-vertically-in-parent.png");
    public static final Icon CreateHorizontalChain = load("/icons/sherpa/create-horizontal-chain.png");
    public static final Icon CreateVerticalChain = load("/icons/sherpa/create-vertical-chain.png");
    public static final Icon verticallyDistributeB = load("/icons/sherpa/distribute-vertically.png");
    public static final Icon verticallyDistribute = load("/icons/sherpa/distribute-vertically_b.png");
    public static final Icon Chain = load("/icons/sherpa/chain.png");
    public static final Icon ChainBlue = load("/icons/sherpa/chain-blue.png");
    public static final Icon BaselineColor = load("/icons/sherpa/baseline-color.png");
    public static final Icon BaselineBlue = load("/icons/sherpa/baseline-blue.png");
  }

  public static class Views {
    public static final Icon DownloadOverlay = load("/icons/palette/download-overlay.png"); // 16x16
    public static final Icon DownloadOverlayLarge = load("/icons/palette/download-overlay_large.png"); // 24x24

    // This section are the icons used for preferences (some icons may overlap with other views)
    public static final Icon CheckBoxPreference = load("/icons/palette/checkbox.png"); // 16x16
    public static final Icon CheckBoxPreferenceLarge = load("/icons/palette/checkbox_large.png"); // 24x24
    public static final Icon EditTextPreference = load("/icons/palette/plain-textfield.png"); // 16x16
    public static final Icon EditTextPreferenceLarge = load("/icons/palette/plain-textfield_large.png"); // 24x24
    public static final Icon ListPreference = load("/icons/palette/list-view.png"); // 16x16
    public static final Icon ListPreferenceLarge = load("/icons/palette/list-view_large.png"); // 24x24
    public static final Icon MultiSelectListPreference = load("/icons/palette/list-view.png"); // 16x16
    public static final Icon MultiSelectListPreferenceLarge = load("/icons/palette/list-view_large.png"); // 24x24
    public static final Icon PreferenceCategory = load("/icons/palette/frame-layout.png"); // 16x16
    public static final Icon PreferenceCategoryLarge = load("/icons/palette/frame-layout_large.png"); // 24x24
    public static final Icon PreferenceScreen = load("/icons/palette/list-view.png"); // 16x16
    public static final Icon PreferenceScreenLarge = load("/icons/palette/list-view_large.png"); // 24x24
    public static final Icon RingtonePreference = load("/icons/palette/ringtone-preference.png"); // 16x16
    public static final Icon RingtonePreferenceLarge = load("/icons/palette/ringtone-preference_large.png"); // 24x24
    public static final Icon SwitchPreference = load("/icons/palette/switch.png"); // 16x16
    public static final Icon SwitchPreferenceLarge = load("/icons/palette/switch_large.png"); // 24x24

    // This section has all 8 variants
    public static final Icon AbsoluteLayout = load("/icons/palette/absolute-layout.png"); // 16x16
    public static final Icon AbsoluteLayoutLarge = load("/icons/palette/absolute-layout_large.png"); // 24x24
    public static final Icon AdView = load("/icons/palette/ad-view.png"); // 16x16
    public static final Icon AdViewLarge = load("/icons/palette/ad-view_large.png"); // 24x24
    public static final Icon AdapterViewFlipper = load("/icons/palette/adapter-view-flipper.png"); // 16x16
    public static final Icon AdapterViewFlipperLarge = load("/icons/palette/adapter-view-flipper_large.png"); // 24x24
    public static final Icon AnalogClock = load("/icons/palette/analog-clock.png"); // 16x16
    public static final Icon AnalogClockLarge = load("/icons/palette/analog-clock_large.png"); // 24x24
    public static final Icon AppBarLayout = load("/icons/palette/app-bar-layout.png"); // 16x16
    public static final Icon AppBarLayoutLarge = load("/icons/palette/app-bar-layout_large.png"); // 24x24
    public static final Icon AutoCompleteTextView = load("/icons/palette/autocomplete-textview.png"); // 16x16
    public static final Icon AutoCompleteTextViewLarge = load("/icons/palette/autocomplete-textview_large.png"); // 24x24
    public static final Icon BrowseFragment = load("/icons/palette/browse-fragment.png"); // 16x16
    public static final Icon BrowseFragmentLarge = load("/icons/palette/browse-fragment_large.png"); // 24x24
    public static final Icon Button = load("/icons/palette/button.png"); // 16x16
    public static final Icon ButtonLarge = load("/icons/palette/button_large.png"); // 24x24
    public static final Icon CalendarView = load("/icons/palette/calendar-view.png"); // 16x16
    public static final Icon CalendarViewLarge = load("/icons/palette/calendar-view_large.png"); // 24x24
    public static final Icon CardView = load("/icons/palette/card-view-compat.png"); // 16x16
    public static final Icon CardViewLarge = load("/icons/palette/card-view-compat_large.png"); // 24x24
    public static final Icon CheckBox = load("/icons/palette/checkbox.png"); // 16x16
    public static final Icon CheckBoxLarge = load("/icons/palette/checkbox_large.png"); // 24x24
    public static final Icon CheckedTextView = load("/icons/palette/checked-textview.png"); // 16x16
    public static final Icon CheckedTextViewLarge = load("/icons/palette/checked-textview_large.png"); // 24x24
    public static final Icon Chronometer = load("/icons/palette/chronometer.png"); // 16x16
    public static final Icon ChronometerLarge = load("/icons/palette/chronometer_large.png"); // 24x24
//    public static final Icon ConstraintLayout = load("/icons/palette/constraint-layout.png"); // 16x16
//    public static final Icon ConstraintLayoutLarge = load("/icons/palette/constraint-layout_large.png"); // 24x24
    public static final Icon CoordinatorLayout = load("/icons/palette/coordinator-layout.png"); // 16x16
    public static final Icon CoordinatorLayoutLarge = load("/icons/palette/coordinator-layout_large.png"); // 24x24
    public static final Icon DatePicker = load("/icons/palette/date-picker.png"); // 16x16
    public static final Icon DatePickerLarge = load("/icons/palette/date-picker_large.png"); // 24x24
    public static final Icon DetailsFragment = load("/icons/palette/details-fragment.png"); // 16x16
    public static final Icon DetailsFragmentLarge = load("/icons/palette/details-fragment_large.png"); // 24x24
    public static final Icon DigitalClock = load("/icons/palette/digital-clock.png"); // 16x16
    public static final Icon DigitalClockLarge = load("/icons/palette/digital-clock_large.png"); // 24x24
    public static final Icon EditText = load("/icons/palette/plain-textfield.png"); // 16x16
    public static final Icon EditTextLarge = load("/icons/palette/plain-textfield_large.png"); // 24x24
    public static final Icon EditTextDate = load("/icons/palette/date-textfield.png"); // 16x16
    public static final Icon EditTextDateLarge = load("/icons/palette/date-textfield_large.png"); // 24x24
    public static final Icon EditTextEmail = load("/icons/palette/email-textfield.png"); // 16x16
    public static final Icon EditTextEmailLarge = load("/icons/palette/email-textfield_large.png"); // 24x24
    public static final Icon EditTextMultiline = load("/icons/palette/multiline-textfield.png"); // 16x16
    public static final Icon EditTextMultilineLarge = load("/icons/palette/multiline-textfield_large.png"); // 24x24
    public static final Icon EditTextNumber = load("/icons/palette/number-textfield.png"); // 16x16
    public static final Icon EditTextNumberLarge = load("/icons/palette/number-textfield_large.png"); // 24x24
    public static final Icon EditTextNumberDecimal = load("/icons/palette/number-decimal-textfield.png"); // 16x16
    public static final Icon EditTextNumberDecimalLarge = load("/icons/palette/number-decimal-textfield_large.png"); // 24x24
    public static final Icon EditTextPassword = load("/icons/palette/password-textfield.png"); // 16x16
    public static final Icon EditTextPasswordLarge = load("/icons/palette/password-textfield_large.png"); // 24x24
    public static final Icon EditTextPasswordNumeric = load("/icons/palette/password-numeric-textfield.png"); // 16x16
    public static final Icon EditTextPasswordNumericLarge = load("/icons/palette/password-numeric-textfield_large.png"); // 24x24
    public static final Icon EditTextPhone = load("/icons/palette/phone-textfield.png"); // 16x16
    public static final Icon EditTextPhoneLarge = load("/icons/palette/phone-textfield_large.png"); // 24x24
    public static final Icon EditTextPostalAddress = load("/icons/palette/postal-address-textfield.png"); // 16x16
    public static final Icon EditTextPostalAddressLarge = load("/icons/palette/postal-address-textfield_large.png"); // 24x24
    public static final Icon EditTextSigned = load("/icons/palette/number-signed-textfield.png"); // 16x16
    public static final Icon EditTextSignedLarge = load("/icons/palette/number-signed-textfield_large.png"); // 24x24
    public static final Icon EditTextTime = load("/icons/palette/time-textfield.png"); // 16x16
    public static final Icon EditTextTimeLarge = load("/icons/palette/time-textfield_large.png"); // 24x24
    public static final Icon ExpandableListView = load("/icons/palette/expandable-list-view.png"); // 16x16
    public static final Icon ExpandableListViewLarge = load("/icons/palette/expandable-list-view_large.png"); // 24x24
    public static final Icon FlexBoxLayout = load("/icons/palette/flex-box-layout.png"); // 16x16
    public static final Icon FlexBoxLayoutLarge = load("/icons/palette/flex-box-layout_large.png"); // 24x24
    public static final Icon FloatingActionButton = load("/icons/palette/floating-action-button.png"); // 16x16
    public static final Icon FloatingActionButtonLarge = load("/icons/palette/floating-action-button_large.png"); // 24x24
    public static final Icon Fragment = load("/icons/palette/fragment.png"); // 16x16
    public static final Icon FragmentLarge = load("/icons/palette/fragment_large.png"); // 24x24
    public static final Icon FrameLayout = load("/icons/palette/frame-layout.png"); // 16x16
    public static final Icon FrameLayoutLarge = load("/icons/palette/frame-layout_large.png"); // 24x24
    public static final Icon GestureOverlayView = load("/icons/palette/gesture-overlay-view.png"); // 16x16
    public static final Icon GestureOverlayViewLarge = load("/icons/palette/gesture-overlay-view_large.png"); // 24x24
    public static final Icon GridLayout = load("/icons/palette/grid-layout.png"); // 16x16
    public static final Icon GridLayoutLarge = load("/icons/palette/grid-layout_large.png"); // 24x24
    public static final Icon GridView = load("/icons/palette/grid-view.png"); // 16x16
    public static final Icon GridViewLarge = load("/icons/palette/grid-view_large.png"); // 24x24
    public static final Icon HorizontalScrollView = load("/icons/palette/horizontal-scroll-view.png"); // 16x16
    public static final Icon HorizontalScrollViewLarge = load("/icons/palette/horizontal-scroll-view_large.png"); // 24x24
    public static final Icon ImageButton = load("/icons/palette/image-button.png"); // 16x16
    public static final Icon ImageButtonLarge = load("/icons/palette/image-button_large.png"); // 24x24
    public static final Icon ImageSwitcher = load("/icons/palette/image-switcher.png"); // 16x16
    public static final Icon ImageSwitcherLarge = load("/icons/palette/image-switcher_large.png"); // 24x24
    public static final Icon ImageView = load("/icons/palette/image-view.png"); // 16x16
    public static final Icon ImageViewLarge = load("/icons/palette/image-view_large.png"); // 24x24
    public static final Icon Include = load("/icons/palette/include-advanced.png"); // 16x16
    public static final Icon IncludeLarge = load("/icons/palette/include-advanced_large.png"); // 24x24
    public static final Icon LinearLayout = load("/icons/palette/linear-layout-horz.png"); // 16x16
    public static final Icon LinearLayoutLarge = load("/icons/palette/linear-layout-horz_large.png"); // 24x24
    public static final Icon VerticalLinearLayout = load("/icons/palette/linear-layout-vert.png"); // 16x16
    public static final Icon VerticalLinearLayoutLarge = load("/icons/palette/linear-layout-vert_large.png"); // 24x24
    public static final Icon ListView = load("/icons/palette/list-view.png"); // 16x16
    public static final Icon ListViewLarge = load("/icons/palette/list-view_large.png"); // 24x24
    public static final Icon MapFragment = load("/icons/palette/map-fragment.png"); // 16x16
    public static final Icon MapFragmentLarge = load("/icons/palette/map-fragment_large.png"); // 24x24
    public static final Icon MapView = load("/icons/palette/map-view.png"); // 16x16
    public static final Icon MapViewLarge = load("/icons/palette/map-view_large.png"); // 24x24
    public static final Icon MediaController = load("/icons/palette/media-controller.png"); // 16x16
    public static final Icon MediaControllerLarge = load("/icons/palette/media-controller_large.png"); // 24x24
    public static final Icon Merge = load("/icons/palette/merge.png"); // 16x16
    public static final Icon MergeLarge = load("/icons/palette/merge_large.png"); // 24x24
    public static final Icon MultiAutoCompleteTextView = load("/icons/palette/multi-autocomplete-textview.png"); // 16x16
    public static final Icon MultiAutoCompleteTextViewLarge = load("/icons/palette/multi-autocomplete-textview_large.png"); // 24x24
    public static final Icon NestedScrollView = load("/icons/palette/nested-scroll-view.png"); // 16x16
    public static final Icon NestedScrollViewLarge = load("/icons/palette/nested-scroll-view_large.png"); // 24x24
    public static final Icon NumberPicker = load("/icons/palette/number-picker.png"); // 16x16
    public static final Icon NumberPickerLarge = load("/icons/palette/number-picker_large.png"); // 24x24
    public static final Icon PlaybackOverlayFragment = load("/icons/palette/playback-overlay-fragment.png"); // 16x16
    public static final Icon PlaybackOverlayFragmentLarge = load("/icons/palette/playback-overlay-fragment_large.png"); // 24x24
    public static final Icon ProgressBarHorizontal = load("/icons/palette/progress-bar-horizontal.png"); // 16x16
    public static final Icon ProgressBarHorizontalLarge = load("/icons/palette/progress-bar-horizontal_large.png"); // 24x24
    public static final Icon ProgressBar = load("/icons/palette/progress-bar.png"); // 16x16
    public static final Icon ProgressBarLarge = load("/icons/palette/progress-bar_large.png"); // 24x24
    public static final Icon QuickContactBadge = load("/icons/palette/quick-contact-badge.png"); // 16x16
    public static final Icon QuickContactBadgeLarge = load("/icons/palette/quick-contact-badge_large.png"); // 24x24
    public static final Icon RadioButton = load("/icons/palette/radio-button.png"); // 16x16
    public static final Icon RadioButtonLarge = load("/icons/palette/radio-button_large.png"); // 24x24
    public static final Icon RadioGroup = load("/icons/palette/radio-group.png"); // 16x16
    public static final Icon RadioGroupLarge = load("/icons/palette/radio-group_large.png"); // 24x24
    public static final Icon RatingBar = load("/icons/palette/rating-bar.png"); // 16x16
    public static final Icon RatingBarLarge = load("/icons/palette/rating-bar_large.png"); // 24x24
    public static final Icon RecyclerView = load("/icons/palette/recycler-view-compat.png"); // 16x16
    public static final Icon RecyclerViewLarge = load("/icons/palette/recycler-view-compat_large.png"); // 24x24
    public static final Icon RelativeLayout = load("/icons/palette/relative-layout.png"); // 16x16
    public static final Icon RelativeLayoutLarge = load("/icons/palette/relative-layout_large.png"); // 24x24
    public static final Icon RequestFocus = load("/icons/palette/request-focus-advanced.png"); // 16x16
    public static final Icon RequestFocusLarge = load("/icons/palette/request-focus-advanced_large.png"); // 24x24
    public static final Icon ScrollView = load("/icons/palette/scroll-view.png"); // 16x16
    public static final Icon ScrollViewLarge = load("/icons/palette/scroll-view_large.png"); // 24x24
    public static final Icon SearchFragment = load("/icons/palette/search-fragment.png"); // 16x16
    public static final Icon SearchFragmentLarge = load("/icons/palette/search-fragment_large.png"); // 24x24
    public static final Icon SearchView = load("/icons/palette/search-view.png"); // 16x16
    public static final Icon SearchViewLarge = load("/icons/palette/search-view_large.png"); // 24x24
    public static final Icon SeekBarDiscrete = load("/icons/palette/seek-bar-discrete.png"); // 16x16
    public static final Icon SeekBarDiscreteLarge = load("/icons/palette/seek-bar-discrete_large.png"); // 24x24
    public static final Icon SeekBar = load("/icons/palette/seek-bar.png"); // 16x16
    public static final Icon SeekBarLarge = load("/icons/palette/seek-bar_large.png"); // 24x24
    public static final Icon Space = load("/icons/palette/space.png"); // 16x16
    public static final Icon SpaceLarge = load("/icons/palette/space_large.png"); // 24x24
    public static final Icon Spinner = load("/icons/palette/spinner.png"); // 16x16
    public static final Icon SpinnerLarge = load("/icons/palette/spinner_large.png"); // 24x24
    public static final Icon StackView = load("/icons/palette/stack-view.png"); // 16x16
    public static final Icon StackViewLarge = load("/icons/palette/stack-view_large.png"); // 24x24
    public static final Icon SurfaceView = load("/icons/palette/surface-view.png"); // 16x16
    public static final Icon SurfaceViewLarge = load("/icons/palette/surface-view_large.png"); // 24x24
    public static final Icon Switch = load("/icons/palette/switch.png"); // 16x16
    public static final Icon SwitchLarge = load("/icons/palette/switch_large.png"); // 24x24
    public static final Icon TabHost = load("/icons/palette/tab-host.png"); // 16x16
    public static final Icon TabHostLarge = load("/icons/palette/tab-host_large.png"); // 24x24
    public static final Icon TabItem = load("/icons/palette/tab-item.png"); // 16x16
    public static final Icon TabItemLarge = load("/icons/palette/tab-item_large.png"); // 24x24
    public static final Icon TabLayout = load("/icons/palette/tab-layout.png"); // 16x16
    public static final Icon TabLayoutLarge = load("/icons/palette/tab-layout_large.png"); // 24x24
    public static final Icon TabWidget = load("/icons/palette/tab-widget.png"); // 16x16
    public static final Icon TabWidgetLarge = load("/icons/palette/tab-widget_large.png"); // 24x24
    public static final Icon TableLayout = load("/icons/palette/table-layout.png"); // 16x16
    public static final Icon TableLayoutLarge = load("/icons/palette/table-layout_large.png"); // 24x24
    public static final Icon TableRow = load("/icons/palette/table-row.png"); // 16x16
    public static final Icon TableRowLarge = load("/icons/palette/table-row_large.png"); // 24x24
    public static final Icon TextClock = load("/icons/palette/text-clock.png"); // 16x16
    public static final Icon TextClockLarge = load("/icons/palette/text-clock_large.png"); // 24x24
    public static final Icon TextInputLayout = load("/icons/palette/text-input-layout.png"); // 16x16
    public static final Icon TextInputLayoutLarge = load("/icons/palette/text-input-layout_large.png"); // 24x24
    public static final Icon TextSwitcher = load("/icons/palette/text-switcher.png"); // 16x16
    public static final Icon TextSwitcherLarge = load("/icons/palette/text-switcher_large.png"); // 24x24
    public static final Icon TextureView = load("/icons/palette/texture-view.png"); // 16x16
    public static final Icon TextureViewLarge = load("/icons/palette/texture-view_large.png"); // 24x24
    public static final Icon TextView = load("/icons/palette/textview.png"); // 16x16
    public static final Icon TextViewLarge = load("/icons/palette/textview_large.png"); // 24x24
    public static final Icon TimePicker = load("/icons/palette/time-picker.png"); // 16x16
    public static final Icon TimePickerLarge = load("/icons/palette/time-picker_large.png"); // 24x24
    public static final Icon ToggleButton = load("/icons/palette/toggle-button.png"); // 16x16
    public static final Icon ToggleButtonLarge = load("/icons/palette/toggle-button_large.png"); // 24x24
    public static final Icon Toolbar = load("/icons/palette/toolbar-compat.png"); // 16x16
    public static final Icon ToolbarLarge = load("/icons/palette/toolbar-compat_large.png"); // 24x24
    public static final Icon VideoView = load("/icons/palette/video-view.png"); // 16x16
    public static final Icon VideoViewLarge = load("/icons/palette/video-view_large.png"); // 24x24
    public static final Icon Unknown = load("/icons/palette/view-advanced.png"); // 16x16
    public static final Icon UnknownLarge = load("/icons/palette/view-advanced_large.png"); // 24x24
    public static final Icon View = load("/icons/palette/view-advanced.png"); // 16x16
    public static final Icon ViewLarge = load("/icons/palette/view-advanced_large.png"); // 24x24
    public static final Icon ViewAnimator = load("/icons/palette/view-animator.png"); // 16x16
    public static final Icon ViewAnimatorLarge = load("/icons/palette/view-animator_large.png"); // 24x24
    public static final Icon ViewFlipper = load("/icons/palette/view-flipper.png"); // 16x16
    public static final Icon ViewFlipperLarge = load("/icons/palette/view-flipper_large.png"); // 24x24
    public static final Icon ViewStub = load("/icons/palette/view-stub-advanced.png"); // 16x16
    public static final Icon ViewStubLarge = load("/icons/palette/view-stub-advanced_large.png"); // 24x24
    public static final Icon ViewSwitcher = load("/icons/palette/view-switcher.png"); // 16x16
    public static final Icon ViewSwitcherLarge = load("/icons/palette/view-switcher_large.png"); // 24x24
    public static final Icon WebView = load("/icons/palette/web-view.png"); // 16x16
    public static final Icon WebViewLarge = load("/icons/palette/web-view_large.png"); // 24x24
    public static final Icon ZoomButton = load("/icons/palette/zoom-button.png"); // 16x16
    public static final Icon ZoomButtonLarge = load("/icons/palette/zoom-button_large.png"); // 24x24
    public static final Icon ZoomControls = load("/icons/palette/zoom-controls.png"); // 16x16
    public static final Icon ZoomControlsLarge = load("/icons/palette/zoom-controls_large.png"); // 24x24
    public static final Icon Barrier = load("/icons/sherpa/barrier_vertical.png");
    public static final Icon BarrierHorizontal = load("/icons/sherpa/barrier_horizontal.png");
  }

  public static class ModuleTemplates {
    public static final Icon Wear = load("/icons/module_templates/wear_module.png"); // 512x512
    public static final Icon Car = load("/icons/module_templates/car_module.png"); // 512x512
    public static final Icon Things = load("/icons/module_templates/things_module.png"); // 512x512
    public static final Icon Glass = load("/icons/module_templates/glass_module.png"); // 512x512
    public static final Icon Mobile = load("/icons/module_templates/mobile_module.png"); // 512x512
    public static final Icon Tv = load("/icons/module_templates/tv_module.png"); // 512x512
    public static final Icon Android = load("/icons/module_templates/android_module.png"); // 512x512
    public static final Icon EclipseModule = load("/icons/module_templates/eclipse_module.png"); // 512x512
    public static final Icon GradleModule = load("/icons/module_templates/gradle_module.png"); // 512x512
    public static final Icon FeatureModule = load("/icons/module_templates/feature_module.png"); // 512x512
    public static final Icon InstantAppModule = load("/icons/module_templates/instant_app_module.png"); // 512x512
  }

  public static class ToolWindows {
    public static final Icon HeapAnalysis = IconLoader.getIcon("/icons/toolwindows/toolWindowHeapAnalysis.svg"); // 13x13
    public static final Icon Warning = IconLoader.getIcon("/icons/toolwindows/toolWindowWarning.svg"); // 13x13
  }

  public static class Issue {
    public static final Icon ErrorBadge = load("/icons/nele/issue/error-badge.png"); // 8x8
    public static final Icon ErrorSelected = IconLoader.getIcon("/icons/nele/issue/error-inline-selected.png"); // 16x16
    public static final Icon Error = IconLoader.getIcon("/icons/nele/issue/error.png"); // 16x16
    public static final Icon InfoSelected = IconLoader.getIcon("/icons/nele/issue/info-inline.png"); // 16x16
    public static final Icon Info = IconLoader.getIcon("/icons/nele/issue/info.png"); // 16x16
    public static final Icon WarningBadge = load("/icons/nele/issue/warning-badge.png"); // 8x8
    public static final Icon WarningSelected = IconLoader.getIcon("/icons/nele/issue/warning-inline-selected.png"); // 16x16
    public static final Icon Warning = IconLoader.getIcon("/icons/nele/issue/warning.png"); // 16x16
  }

  public static class DeviceExplorer {
    public static final Icon ToolWindow = load("/icons/explorer/tool-window-device-explorer.png"); // 16x16
    public static final Icon DatabaseFolder = load("/icons/explorer/DatabaseFolder.png"); // 16x16
    public static final Icon SdcardFolder = load("/icons/explorer/SdcardFolder.png"); // 16x16
    public static final Icon SharedPrefs = load("/icons/explorer/SharedPrefs.png"); // 16x16
    public static final Icon DevicesLineup = load("/icons/explorer/devices-lineup.png"); // 300x150
  }

  public static class Assistant {
    public static final Icon TutorialIndicator = load("/icons/assistant/tutorialIndicator.png"); // 16x16
  }

  public static class Mockup {
    public static final Icon Mockup = load("/icons/mockup/mockup.png"); // 16x16
    public static final Icon Crop = load("/icons/mockup/crop.png"); // 16x16
    public static final Icon CreateWidget = load("/icons/mockup/mockup_add.png"); // 16x16
    public static final Icon CreateLayout = load("/icons/mockup/new_layout.png"); // 16x16
    public static final Icon MatchWidget = load("/icons/mockup/aspect_ratio.png"); // 16x16
    public static final Icon NoMockup = load("/icons/mockup/no_mockup.png"); // 100x100
    public static final Icon ExtractBg = load("/icons/mockup/extract_bg.png"); // 16x16
  }
}
