/*
 * Copyright 2000-2014 JetBrains s.r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jetbrains.plugins.gradle.tooling.internal.scala;

import org.jetbrains.plugins.gradle.model.scala.ScalaForkOptions;

import java.util.List;

/**
 * @author Vladislav.Soroka
 * @since 1/31/14
 */
public class ScalaForkOptionsImpl implements ScalaForkOptions {
  private String memoryInitialSize;
  private String memoryMaximumSize;
  private List<String> jvmArgs;

  @Override
  public String getMemoryInitialSize() {
    return memoryInitialSize;
  }

  public void setMemoryInitialSize(String memoryInitialSize) {
    this.memoryInitialSize = memoryInitialSize;
  }

  @Override
  public String getMemoryMaximumSize() {
    return memoryMaximumSize;
  }

  public void setMemoryMaximumSize(String memoryMaximumSize) {
    this.memoryMaximumSize = memoryMaximumSize;
  }

  @Override
  public List<String> getJvmArgs() {
    return jvmArgs;
  }

  public void setJvmArgs(List<String> jvmArgs) {
    this.jvmArgs = jvmArgs;
  }
}
