/*
 * Copyright 2000-2016 JetBrains s.r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jetbrains.plugins.groovy.lang.psi.impl.statements.expressions;

import com.siyeh.HardcodedMethodConstants;
import org.jetbrains.annotations.NonNls;

@NonNls
public class HardcodedGroovyMethodConstants {
  public static final String COMPARE_TO = HardcodedMethodConstants.COMPARE_TO;
  public static final String EQUALS = HardcodedMethodConstants.EQUALS;
  public static final String NEXT = HardcodedMethodConstants.NEXT;

  public static final String AND = "and";
  public static final String AS_BOOLEAN = "asBoolean";
  public static final String AS_TYPE = "asType";
  public static final String BITWISE_NEGATE = "bitwiseNegate";
  public static final String CALL = "call";
  public static final String DIV = "div";
  public static final String GET_AT = "getAt";
  public static final String IS_CASE = "isCase";
  public static final String LEFT_SHIFT = "leftShift";
  public static final String MINUS = "minus";
  public static final String MOD = "mod";
  public static final String MULTIPLY = "multiply";
  public static final String NEGATIVE = "negative";
  public static final String OR = "or";
  public static final String PLUS = "plus";
  public static final String POSITIVE = "positive";
  public static final String POWER = "power";
  public static final String PREVIOUS = "previous";
  public static final String PUT_AT = "putAt";
  public static final String RIGHT_SHIFT = "rightShift";
  public static final String RIGHT_SHIFT_UNSIGNED = "rightShiftUnsigned";
  public static final String XOR = "xor";
}
