/*
 * Copyright 2000-2014 JetBrains s.r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jetbrains.plugins.groovy.lang.psi.stubs;

import com.intellij.psi.stubs.IStubElementType;
import com.intellij.psi.stubs.StubBase;
import com.intellij.psi.stubs.StubElement;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.plugins.groovy.lang.psi.api.statements.typedef.GrReferenceList;

/**
 * @author ilyas
 */
public class GrReferenceListStub extends StubBase<GrReferenceList> implements StubElement<GrReferenceList> {

  private final String[] myRefNames;

  public GrReferenceListStub(final StubElement parentStub, @NotNull IStubElementType elemtType, final String[] refNames) {
    super(parentStub, elemtType);
    myRefNames = refNames;
  }

  public String[] getBaseClasses() {
    return myRefNames;
  }
}
