/*
 * Copyright 2000-2017 JetBrains s.r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jetbrains.plugins.groovy.util

import com.intellij.openapi.util.Condition

inline infix fun <T> ((T) -> Boolean).and(crossinline another: (T) -> Boolean): (T) -> Boolean {
  return {
    this(it) && another(it)
  }
}

fun <T> Condition<T>.toPredicate(): (T) -> Boolean {
  return {
    value(it)
  }
}
